field_element.h File Reference

Go to the source code of this file.

## Classes

struct | space_element
struct | field_element
struct | field_element_function_wrapper< Value >

## Namespaces

| rheolef
| This file is part of Rheolef.

## Functions

Float | generic_norm2 (const Float &x)
Float | generic_norm2 (const point &x)
Float | generic_norm2 (const tensor &x)
template<class Function >
Float | error_l2 (const field_element &uk, const Function &u, size_t qorder=size_t(0))
template<class Function >
Float | error_linf (const field_element &uk, const Function &u, size_t nsub=0)
template<class Function >
Float | error_div_l2 (const field_element &uk, const Function &u, size_t qorder=size_t(0))
template<class Function >
Float | error_div_linf (const field_element &uk, const Function &u, size_t qorder=size_t(0))